package collEquals;
/**
 * Utilisation de equals avec ArrayList et HashSet
 */
public class Compte {
    private int numero;    // numéro du compte
    private double solde;  // solde du compte
    public Compte(int num, double init){
        this.numero=num; this.solde=init;
    }
    public double getSolde() {
        return solde;
    }
    public int getNumero() {
        return numero;
    }
    public void depot(double n) {
        solde = solde + n;
    }
    public void retrait(double m) {
        solde = solde - m;
    }
    public String toString() {
        return "Numero: " + numero+
        ", solde: " + solde;      
    }
    
    // A décommenter pour test avec Python Tutor
//    public static void main(String[] args){
//        Compte c1 = new Compte(1,200);
//        Compte c2 = new Compte(1, 200);
//        Compte c3 = c1;
//        // Testons le comportement de equals sur Compte
//        System.out.println("c1= "+c1);
//        System.out.println("c2= "+c2);
//        System.out.println("c3==c1 ?"+(c3==c1));
//        System.out.println("c1 equals c2? "+ c1.equals(c2));
//        System.out.println("c1 equals c3? "+ c1.equals(c3));
//        
//        // Testons le comportement de equals sur String
//        String s1 = "ab";
//        char [] t = {'a','b'};
//        String s2 = new String(t);
//        System.out.println("s1 == s2? "+ (s1==s2));
//        System.out.println("s1 equals s2? "+ (s1.equals(s2)));
//    }
}
